Subject: Re: Wxwindows compile error w/B.20.1 and 295 w/Ming-extras installed
From: Brendan Simon <[email-masked]>
To: Bob Powers <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Oct 1999 10:49:06 +1000

Bob Powers wrote:

> Hello all:
>
> Trying to compile wxWidows... on Win98
> Installed B20 Full version and gcc295 to replace
> Egcs compiler then installed Mingw/extras.
>
> My concern is that perhaps something is wrong with
> my installation..
> I get the error --detailed below:
>
> C:\wx\src\msw>make -f makefile.g95
> c++ -mno-cygwin  -c -D_X86_=1 -DWIN32 -D_WIN32 -DWINVER=0x0400 -D__WIN95__ -
> D__GNUWIN32__ -D__WIN32__ -I../../include -I../../src/png -I../../include/wx
> /msw/gnuwin32 -I../../src/zlib  -I/usr/local/mingw/include -D__EGCS__ -mno-c
> ygwin   -D__WXMSW__ -D__WINDOWS__ -ggdb -D__WXDEBUG__ -Wall   -o mdi.o
> mdi.cpp
> mdi.cpp: In method `long int wxMDIClientWindow::MSWDefWindowProc(unsigned
> int, unsigned int, long int)':
> mdi.cpp:1140: passing `long unsigned int' to argument 1 of
> `CallWindowProcA(LRESULT (*)(void *, unsigned int, unsigned int, long int),
> void *, unsigned int, unsigned int, long int)' lacks a cast
> MAKE.EXE: *** [mdi.o] Error 1
>
> Perused the latest LOG file for the wxwindows snapshot
> on Win32-9x-i586... and it shows a 'Warning' for the same problem in the
> same function in the same file for
> which I get the above 'Error'....
>
> Sorry for the length.....hope the question is not too dumb....thanks for any
> help

Sounds like the gcc-2.95 compiler is more pedantic about matching types for
function calls than previous versions.  You will probably have to modify
mdi.cpp:1140 so that the function call mathces the prototype by casting
argument 1.  You should also post your original email to the wxWindows mailing
list as a potential bug report.

Brendan Simon.

--
Want to unsubscribe from this list?
Send a message to [email-masked]